View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000016SoothERPBugspublic2011-09-28 21:092013-07-13 18:35
ReporterYves 
Assigned ToYves 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionAlpha 
Target VersionBétaFixed in VersionBéta 
Summary0000016: La numérotation des factures au delà du numéro 999 est "incohérente" (du moins par rapport aux usages, notament comptables)
DescriptionLe numéro de document suivant le numéro 00999 est 00a00
Steps To ReproduceFacturer 999 + 1 fois ;-)
...ou...
sur serveur de développement, dans la table reference_tags, sur la ligne facture_client, changer last_id à la valeur 999, puis créer une nouvelle facture.
Additional InformationLe mode de numérotation semble fonctionner en décimal pour deux digits de droite, et en base 36 (0-9 a-z), pour les 3 digits de gauche.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000014)
Yves (administrator)
2011-10-18 00:57

Le mode de numérotation des documents est dicté par la méthode suivante:
- sur les 5 digits, ceux de droite répondent à la numérotation décimale classique
- sur les même 5 digits, ceux de gauche répondent à une numérotation en base 36 ([0-9] et [a-z])
- le nombre de digits affecté à chaque mode de numérotation est établi par la valeur du champ ref_rules de la table reference_tags.

La valeur du champ était initialement établie à 3,2 (3 digits base 36, 2 base 10) faisant suivre au numéro 999, le numéro a00.
La valeur du champ a été passée à 1,4 permettant de numéroter jusqu'à 99999 avant de passer à a0000.
Cette valeur a été modifié pour tous les documents, à savoir:

-Transfert de Marchandises
-Avoir Client
-Panier Client
-Inventaire
-Bon de Fabrication
-Bon de Désassemblage
-Modèle
-Ticket de caisse
-Facture Fournisseur
-Bon de réception Fournisseur
-Commande Fournisseur
-Devis Client
-Cotation Client
-Commande Client
-Bon de livraison Client
-Facture Client
-Devis Fournisseur

- Related Changesets
Sooth ERP: master 13427126
Timestamp: 2011-10-18 00:38:11
Author: Yves
Details ] Diff ]
Correctif bug 0000016: La numérotation des factures au delà du numéro 999 est non décimale.

Attribution de la numérotation décimale aux 4 digit de droite, seul le digit de gauche reste en base 36.

- Issue History
Date Modified Username Field Change
2011-09-28 21:09 Yves New Issue
2011-09-28 21:09 Yves Status new => assigned
2011-09-28 21:09 Yves Assigned To => user5
2011-10-18 00:57 Yves Note Added: 0000014
2011-10-18 00:57 Yves Status assigned => resolved
2011-10-18 00:57 Yves Resolution open => fixed
2011-10-18 00:57 Yves Assigned To user5 => Yves
2013-01-19 08:33 Yves Target Version => Alpha
2013-01-19 09:09 Yves Fixed in Version => Béta
2013-01-19 09:10 Yves Target Version Alpha => Béta
2013-07-13 18:35 Yves Changeset attached => Sooth ERP master 13427126


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker